Subject: Re: [X2Go-Dev] Bug#671: Desktop Sessions like KDE and ICEWM quit immediately after spawning with x2goserver >4.0.1.15

From: Thomas Wagner <[email-masked]>
Date: Thu, 13 Nov 2014 13:27:32 +0100

Hi,

I was using the OBS version, as suggested by
http://wiki.x2go.org/doku.php/wiki:repositories:suse.
After the bug appeared, the main x2go repo was reverted to 4.0.1.15.
The OBS version does not have an x2goserver-xsessions package since the
files contained there are already included in the rpm for x2goserver.

I gave the nightly build a short try and it seems to work. However, now
I don't know if it's a packaging bug or a bug that has been fixed in
between version 4.0.1.18 and the nightly built version.

best regards

Thomas

Am 13.11.2014 um 12:15 schrieb Mike Gabriel:
> Hi Thomas,
>
> On  Mi 12 Nov 2014 13:46:41 CET, Thomas Wagner wrote:
>
>> Package: x2goserver
>> Version 4.0.1.18
>>
>> Hi,
>>
>> On OpenSUSE 13.1, starting a desktop sessions like KDE or ICEWM isn't
>> possible. After the window pops up on the client (Windows 7), it is
>> immediately  closed.
>> This applies to x2goserver 4.0.1.16, 4.0.1.17, and 4.0.1.18. Version
>> 4.0.1.15 worked fine.
>>
>> I don't see anything suspicious in the log files even in debug mode.
>> Starting a simple application, e.g. /usr/bin/firefox, also does work
>> with version >4.0.1.15.
>>
>> best regards
>>
>> Thomas
>
> Do you have the package x2goserver-xsession installed?
>
> I presume you obtained openSUSE packages from the OBS download
> location. Please note that we provide nightly builds (and soon release
> builds) for openSUSE, as well.
> http://wiki.x2go.org/doku.php/wiki:development:nightly-builds#nightly_builds_for_opensuse_sles
>
>
> This issue may be a packaging issue on OBS...
>
> Greets,
> Mike
>
>
>

-- 
Dipl.-Ing. Thomas Wagner
Institute for Communications and Information Engineering
Johannes Kepler University Linz, 4040 Linz, Austria
mailto: [email-masked]
Phone: +43 732 2468 6404
http://www.nthfs.jku.at